Browse Source

STM32F103.. reorganization, SKR mini fix (#15398)

Tanguy Pruvot 5 years ago
parent
commit
43d6e9fa43

+ 3
- 3
.circleci/config.yml View File

240
             build_marlin_pio ./ ${TEST_PLATFORM}
240
             build_marlin_pio ./ ${TEST_PLATFORM}
241
             restore_configs
241
             restore_configs
242
             echo testing STM32F1 targets...
242
             echo testing STM32F1 targets...
243
-            export TEST_PLATFORM="-e STM32F103R"
243
+            export TEST_PLATFORM="-e STM32F103RE"
244
             restore_configs
244
             restore_configs
245
-            echo use_example_configs STM32/STM32F103R
246
-            use_example_configs STM32/STM32F103R
245
+            echo use_example_configs STM32/STM32F103RE
246
+            use_example_configs STM32/STM32F103RE
247
             build_marlin_pio ./ ${TEST_PLATFORM}
247
             build_marlin_pio ./ ${TEST_PLATFORM}
248
             restore_configs
248
             restore_configs
249
             echo use_example_configs STM32/stm32f103ret6
249
             echo use_example_configs STM32/stm32f103ret6

+ 7
- 6
.travis.yml View File

16
   - TEST_PLATFORM="LPC1768"
16
   - TEST_PLATFORM="LPC1768"
17
   - TEST_PLATFORM="LPC1769"
17
   - TEST_PLATFORM="LPC1769"
18
   - TEST_PLATFORM="megaatmega2560"
18
   - TEST_PLATFORM="megaatmega2560"
19
-  - TEST_PLATFORM="STM32F103R"
19
+  - TEST_PLATFORM="STM32F103RE"
20
   - TEST_PLATFORM="teensy31"
20
   - TEST_PLATFORM="teensy31"
21
   - TEST_PLATFORM="teensy35"
21
   - TEST_PLATFORM="teensy35"
22
 
22
 
31
   - TEST_PLATFORM="ARMED"
31
   - TEST_PLATFORM="ARMED"
32
   - TEST_PLATFORM="BIGTREE_BTT002"
32
   - TEST_PLATFORM="BIGTREE_BTT002"
33
   - TEST_PLATFORM="BIGTREE_SKR_PRO"
33
   - TEST_PLATFORM="BIGTREE_SKR_PRO"
34
-  - TEST_PLATFORM="STM32F103R_bigtree"
34
+  - TEST_PLATFORM="STM32F103RC_bigtree"
35
   - TEST_PLATFORM="jgaurora_a5s_a1"
35
   - TEST_PLATFORM="jgaurora_a5s_a1"
36
-  - TEST_PLATFORM="STM32F103V_longer"
36
+  - TEST_PLATFORM="STM32F103VE_longer"
37
   - TEST_PLATFORM="STM32F407VE_black"
37
   - TEST_PLATFORM="STM32F407VE_black"
38
 
38
 
39
   # Non-working environment tests
39
   # Non-working environment tests
40
   #- TEST_PLATFORM="at90usb1286_cdc"
40
   #- TEST_PLATFORM="at90usb1286_cdc"
41
   #- TEST_PLATFORM="at90usb1286_dfu"
41
   #- TEST_PLATFORM="at90usb1286_dfu"
42
-  #- TEST_PLATFORM="malyanm200"
42
+  #- TEST_PLATFORM="STM32F103CB_malyan"
43
   #- TEST_PLATFORM="mks_robin"
43
   #- TEST_PLATFORM="mks_robin"
44
   #- TEST_PLATFORM="mks_robin_lite"
44
   #- TEST_PLATFORM="mks_robin_lite"
45
   #- TEST_PLATFORM="mks_robin_mini"
45
   #- TEST_PLATFORM="mks_robin_mini"
46
   #- TEST_PLATFORM="mks_robin_nano"
46
   #- TEST_PLATFORM="mks_robin_nano"
47
   #- TEST_PLATFORM="SAMD51_grandcentral_m4"
47
   #- TEST_PLATFORM="SAMD51_grandcentral_m4"
48
-  #- TEST_PLATFORM="STM32F103R_bigtree"
49
-  #- TEST_PLATFORM="STM32F103R_fysetc"
48
+  #- TEST_PLATFORM="STM32F103RC_bigtree"
49
+  #- TEST_PLATFORM="STM32F103RC_bigtree_USB"
50
+  #- TEST_PLATFORM="STM32F103RC_fysetc"
50
   #- TEST_PLATFORM="STM32F4"
51
   #- TEST_PLATFORM="STM32F4"
51
   #- TEST_PLATFORM="STM32F7"
52
   #- TEST_PLATFORM="STM32F7"
52
 
53
 

+ 2
- 2
Marlin/src/core/boards.h View File

255
 // STM32 ARM Cortex-M3
255
 // STM32 ARM Cortex-M3
256
 //
256
 //
257
 
257
 
258
-#define BOARD_STM32F103R              4000  // STM32F103R Libmaple-based STM32F1 controller
258
+#define BOARD_STM32F103RE             4000  // STM32F103RE Libmaple-based STM32F1 controller
259
 #define BOARD_MALYAN_M200             4001  // STM32C8T6  Libmaple-based STM32F1 controller
259
 #define BOARD_MALYAN_M200             4001  // STM32C8T6  Libmaple-based STM32F1 controller
260
-#define BOARD_STM3R_MINI              4002  // STM32F103R Libmaple-based STM32F1 controller
260
+#define BOARD_STM3R_MINI              4002  // STM32F103RE Libmaple-based STM32F1 controller
261
 #define BOARD_GTM32_PRO_VB            4003  // STM32F103VET6 controller
261
 #define BOARD_GTM32_PRO_VB            4003  // STM32F103VET6 controller
262
 #define BOARD_MORPHEUS                4004  // STM32F103C8 / STM32F103CB  Libmaple-based STM32F1 controller
262
 #define BOARD_MORPHEUS                4004  // STM32F103C8 / STM32F103CB  Libmaple-based STM32F1 controller
263
 #define BOARD_CHITU3D                 4005  // Chitu3D (STM32F103RET6)
263
 #define BOARD_CHITU3D                 4005  // Chitu3D (STM32F103RET6)

+ 5
- 1
Marlin/src/inc/SanityCheck.h View File

410
 #define BOARD_FORMBOT_TREX2 -1003
410
 #define BOARD_FORMBOT_TREX2 -1003
411
 #define BOARD_BIQU_SKR_V1_1 -1004
411
 #define BOARD_BIQU_SKR_V1_1 -1004
412
 #define BOARD_STM32F1R      -1005
412
 #define BOARD_STM32F1R      -1005
413
+#define BOARD_STM32F103R    -1006
413
 #if MB(MKS_13)
414
 #if MB(MKS_13)
414
   #error "BOARD_MKS_13 has been renamed BOARD_MKS_GEN_13. Please update your configuration."
415
   #error "BOARD_MKS_13 has been renamed BOARD_MKS_GEN_13. Please update your configuration."
415
 #elif MB(TRIGORILLA)
416
 #elif MB(TRIGORILLA)
421
 #elif MB(BIQU_SKR_V1_1)
422
 #elif MB(BIQU_SKR_V1_1)
422
   #error "BOARD_BIQU_SKR_V1_1 has been renamed BOARD_BIGTREE_SKR_V1_1. Please update your configuration."
423
   #error "BOARD_BIQU_SKR_V1_1 has been renamed BOARD_BIGTREE_SKR_V1_1. Please update your configuration."
423
 #elif MB(STM32F1R)
424
 #elif MB(STM32F1R)
424
-  #error "BOARD_STM32F1R has been renamed BOARD_STM32F103R. Please update your configuration."
425
+  #error "BOARD_STM32F1R has been renamed BOARD_STM32F103RE. Please update your configuration."
426
+#elif MB(STM32F103R)
427
+  #error "BOARD_STM32F103R has been renamed BOARD_STM32F103RE. Please update your configuration."
425
 #endif
428
 #endif
426
 #undef BOARD_MKS_13
429
 #undef BOARD_MKS_13
427
 #undef BOARD_TRIGORILLA
430
 #undef BOARD_TRIGORILLA
429
 #undef BOARD_FORMBOT_TREX2
432
 #undef BOARD_FORMBOT_TREX2
430
 #undef BOARD_BIQU_SKR_V1_1
433
 #undef BOARD_BIQU_SKR_V1_1
431
 #undef BOARD_STM32F1R
434
 #undef BOARD_STM32F1R
435
+#undef BOARD_STM32F103R
432
 
436
 
433
 /**
437
 /**
434
  * Marlin release, version and default string
438
  * Marlin release, version and default string

+ 14
- 14
Marlin/src/pins/pins.h View File

442
 // STM32 ARM Cortex-M3
442
 // STM32 ARM Cortex-M3
443
 //
443
 //
444
 
444
 
445
-#elif MB(STM32F103R)
446
-  #include "stm32/pins_STM32F1R.h"              // STM32F1                                env:STM32F103R
445
+#elif MB(STM32F103RE)
446
+  #include "stm32/pins_STM32F1R.h"              // STM32F1                                env:STM32F103RE
447
 #elif MB(MALYAN_M200)
447
 #elif MB(MALYAN_M200)
448
-  #include "stm32/pins_MALYAN_M200.h"           // STM32F1                                env:malyanm200
448
+  #include "stm32/pins_MALYAN_M200.h"           // STM32F1                                env:STM32F103CB_malyan
449
 #elif MB(STM3R_MINI)
449
 #elif MB(STM3R_MINI)
450
-  #include "stm32/pins_STM3R_MINI.h"            // STM32F1                                env:STM32F103R
450
+  #include "stm32/pins_STM3R_MINI.h"            // STM32F1                                env:STM32F103RE
451
 #elif MB(GTM32_PRO_VB)
451
 #elif MB(GTM32_PRO_VB)
452
-  #include "stm32/pins_GTM32_PRO_VB.h"          // STM32F1                                env:STM32F103R
452
+  #include "stm32/pins_GTM32_PRO_VB.h"          // STM32F1                                env:STM32F103RE
453
 #elif MB(MORPHEUS)
453
 #elif MB(MORPHEUS)
454
-  #include "stm32/pins_MORPHEUS.h"              // STM32F1                                env:STM32F103R
454
+  #include "stm32/pins_MORPHEUS.h"              // STM32F1                                env:STM32F103RE
455
 #elif MB(CHITU3D)
455
 #elif MB(CHITU3D)
456
-  #include "stm32/pins_CHITU3D.h"               // STM32F1                                env:STM32F103R
456
+  #include "stm32/pins_CHITU3D.h"               // STM32F1                                env:STM32F103RE
457
 #elif MB(MKS_ROBIN)
457
 #elif MB(MKS_ROBIN)
458
   #include "stm32/pins_MKS_ROBIN.h"             // STM32F1                                env:mks_robin
458
   #include "stm32/pins_MKS_ROBIN.h"             // STM32F1                                env:mks_robin
459
 #elif MB(MKS_ROBIN_MINI)
459
 #elif MB(MKS_ROBIN_MINI)
463
 #elif MB(MKS_ROBIN_LITE)
463
 #elif MB(MKS_ROBIN_LITE)
464
   #include "stm32/pins_MKS_ROBIN_LITE.h"        // STM32F1                                env:mks_robin_lite
464
   #include "stm32/pins_MKS_ROBIN_LITE.h"        // STM32F1                                env:mks_robin_lite
465
 #elif MB(BIGTREE_SKR_MINI_V1_1)
465
 #elif MB(BIGTREE_SKR_MINI_V1_1)
466
-  #include "stm32/pins_BIGTREE_SKR_MINI_V1_1.h" // STM32F1                                env:STM32F103R_bigtree
466
+  #include "stm32/pins_BIGTREE_SKR_MINI_V1_1.h" // STM32F1                                env:STM32F103RC_bigtree
467
 #elif MB(BIGTREE_SKR_MINI_E3)
467
 #elif MB(BIGTREE_SKR_MINI_E3)
468
-  #include "stm32/pins_BIGTREE_SKR_MINI_E3.h"   // STM32F1                                env:STM32F103R_bigtree
468
+  #include "stm32/pins_BIGTREE_SKR_MINI_E3.h"   // STM32F1                                env:STM32F103RC_bigtree
469
 #elif MB(BIGTREE_SKR_E3_DIP)
469
 #elif MB(BIGTREE_SKR_E3_DIP)
470
-  #include "stm32/pins_BIGTREE_SKR_E3_DIP.h"    // STM32F1                                env:STM32F103R_bigtree
470
+  #include "stm32/pins_BIGTREE_SKR_E3_DIP.h"    // STM32F1                                env:STM32F103RC_bigtree
471
 #elif MB(JGAURORA_A5S_A1)
471
 #elif MB(JGAURORA_A5S_A1)
472
   #include "stm32/pins_JGAURORA_A5S_A1.h"       // STM32F1                                env:jgaurora_a5s_a1
472
   #include "stm32/pins_JGAURORA_A5S_A1.h"       // STM32F1                                env:jgaurora_a5s_a1
473
 #elif MB(FYSETC_AIO_II)
473
 #elif MB(FYSETC_AIO_II)
474
-  #include "stm32/pins_FYSETC_AIO_II.h"         // STM32F1                                env:STM32F103R_fysetc
474
+  #include "stm32/pins_FYSETC_AIO_II.h"         // STM32F1                                env:STM32F103RC_fysetc
475
 #elif MB(FYSETC_CHEETAH)
475
 #elif MB(FYSETC_CHEETAH)
476
-  #include "stm32/pins_FYSETC_CHEETAH.h"        // STM32F1                                env:STM32F103R_fysetc
476
+  #include "stm32/pins_FYSETC_CHEETAH.h"        // STM32F1                                env:STM32F103RC_fysetc
477
 #elif MB(FYSETC_CHEETAH_V12)
477
 #elif MB(FYSETC_CHEETAH_V12)
478
-  #include "stm32/pins_FYSETC_CHEETAH_V12.h"    // STM32F1                                env:STM32F103R_fysetc
478
+  #include "stm32/pins_FYSETC_CHEETAH_V12.h"    // STM32F1                                env:STM32F103RC_fysetc
479
 #elif MB(LONGER3D_LK)
479
 #elif MB(LONGER3D_LK)
480
-  #include "stm32/pins_LONGER3D_LK.h"           // STM32F1                                env:STM32F103V_longer
480
+  #include "stm32/pins_LONGER3D_LK.h"           // STM32F1                                env:STM32F103VE_longer
481
 
481
 
482
 //
482
 //
483
 // ARM Cortex-M4F
483
 // ARM Cortex-M4F

+ 7
- 1
Marlin/src/pins/stm32/pins_BIGTREE_SKR_E3_DIP.h View File

33
 // Ignore temp readings during development.
33
 // Ignore temp readings during development.
34
 //#define BOGUS_TEMPERATURE_GRACE_PERIOD 2000
34
 //#define BOGUS_TEMPERATURE_GRACE_PERIOD 2000
35
 
35
 
36
+#ifdef MCU_STM32F103RE
37
+  #define STM32_FLASH_SIZE (512 * 1024)
38
+#else
39
+  #define STM32_FLASH_SIZE (256 * 1024)
40
+#endif
41
+
36
 #define FLASH_EEPROM_EMULATION
42
 #define FLASH_EEPROM_EMULATION
37
 #define EEPROM_PAGE_SIZE     uint16(0x800) // 2KB
43
 #define EEPROM_PAGE_SIZE     uint16(0x800) // 2KB
38
-#define EEPROM_START_ADDRESS uint32(0x8000000 + 256 * 1024 - 2 * EEPROM_PAGE_SIZE)
44
+#define EEPROM_START_ADDRESS uint32(0x8000000 + STM32_FLASH_SIZE - 2 * EEPROM_PAGE_SIZE)
39
 #undef E2END
45
 #undef E2END
40
 #define E2END                (EEPROM_PAGE_SIZE - 1) // 2KB
46
 #define E2END                (EEPROM_PAGE_SIZE - 1) // 2KB
41
 
47
 

+ 7
- 1
Marlin/src/pins/stm32/pins_BIGTREE_SKR_MINI_E3.h View File

33
 // Ignore temp readings during development.
33
 // Ignore temp readings during development.
34
 //#define BOGUS_TEMPERATURE_GRACE_PERIOD 2000
34
 //#define BOGUS_TEMPERATURE_GRACE_PERIOD 2000
35
 
35
 
36
+#ifdef MCU_STM32F103RE
37
+  #define STM32_FLASH_SIZE (512 * 1024)
38
+#else
39
+  #define STM32_FLASH_SIZE (256 * 1024)
40
+#endif
41
+
36
 #define FLASH_EEPROM_EMULATION
42
 #define FLASH_EEPROM_EMULATION
37
 #define EEPROM_PAGE_SIZE     uint16(0x800) // 2KB
43
 #define EEPROM_PAGE_SIZE     uint16(0x800) // 2KB
38
-#define EEPROM_START_ADDRESS uint32(0x8000000 + 256 * 1024 - 2 * EEPROM_PAGE_SIZE)
44
+#define EEPROM_START_ADDRESS uint32(0x8000000 + STM32_FLASH_SIZE - 2 * EEPROM_PAGE_SIZE)
39
 #undef E2END
45
 #undef E2END
40
 #define E2END                (EEPROM_PAGE_SIZE - 1) // 2KB
46
 #define E2END                (EEPROM_PAGE_SIZE - 1) // 2KB
41
 
47
 

+ 11
- 4
Marlin/src/pins/stm32/pins_BIGTREE_SKR_MINI_V1_1.h View File

33
 // Ignore temp readings during development.
33
 // Ignore temp readings during development.
34
 //#define BOGUS_TEMPERATURE_GRACE_PERIOD 2000
34
 //#define BOGUS_TEMPERATURE_GRACE_PERIOD 2000
35
 
35
 
36
+#ifdef MCU_STM32F103RE
37
+  #define STM32_FLASH_SIZE (512 * 1024)
38
+#else
39
+  #define STM32_FLASH_SIZE (256 * 1024)
40
+#endif
41
+
42
+#define FLASH_EEPROM_EMULATION
43
+#define EEPROM_PAGE_SIZE     (0x800) // 2KB
44
+#define EEPROM_START_ADDRESS (0x8000000 + STM32_FLASH_SIZE - 2 * EEPROM_PAGE_SIZE)
45
+#define E2END                (EEPROM_PAGE_SIZE - 1)
46
+
36
 //
47
 //
37
 // Limit Switches
48
 // Limit Switches
38
 //
49
 //
208
   #define ST7920_DELAY_3 DELAY_NS(125)
219
   #define ST7920_DELAY_3 DELAY_NS(125)
209
 #endif
220
 #endif
210
 
221
 
211
-#define FLASH_EEPROM_EMULATION
212
-#define EEPROM_PAGE_SIZE     (0x800) // 2KB
213
-#define EEPROM_START_ADDRESS (0x8000000 + (256 * 1024) - 2 * EEPROM_PAGE_SIZE)
214
-#define E2END                (EEPROM_PAGE_SIZE - 1)

buildroot/share/PlatformIO/ldscripts/STM32F1_SKR_MINI.ld → buildroot/share/PlatformIO/ldscripts/STM32F103RC_SKR_MINI.ld View File


buildroot/share/PlatformIO/ldscripts/longer_STM32.ld → buildroot/share/PlatformIO/ldscripts/STM32F103VE_longer.ld View File


buildroot/share/PlatformIO/scripts/STM32F1_SKR_MINI.py → buildroot/share/PlatformIO/scripts/STM32F103RC_SKR_MINI.py View File

5
     if define[0] == "VECT_TAB_ADDR":
5
     if define[0] == "VECT_TAB_ADDR":
6
         env['CPPDEFINES'].remove(define)
6
         env['CPPDEFINES'].remove(define)
7
 env['CPPDEFINES'].append(("VECT_TAB_ADDR", "0x08007000"))
7
 env['CPPDEFINES'].append(("VECT_TAB_ADDR", "0x08007000"))
8
-env.Replace(LDSCRIPT_PATH="buildroot/share/PlatformIO/ldscripts/STM32F1_SKR_MINI.ld")
8
+env.Replace(LDSCRIPT_PATH="buildroot/share/PlatformIO/ldscripts/STM32F103RC_SKR_MINI.ld")

buildroot/share/PlatformIO/scripts/STM32F103R_fysetc.py → buildroot/share/PlatformIO/scripts/STM32F103RC_fysetc.py View File


buildroot/share/PlatformIO/scripts/longer_STM32.py → buildroot/share/PlatformIO/scripts/STM32F103VE_longer.py View File

5
     if define[0] == "VECT_TAB_ADDR":
5
     if define[0] == "VECT_TAB_ADDR":
6
         env['CPPDEFINES'].remove(define)
6
         env['CPPDEFINES'].remove(define)
7
 env['CPPDEFINES'].append(("VECT_TAB_ADDR", "0x08010000"))
7
 env['CPPDEFINES'].append(("VECT_TAB_ADDR", "0x08010000"))
8
-env.Replace(LDSCRIPT_PATH="buildroot/share/PlatformIO/ldscripts/longer_STM32.ld")
8
+env.Replace(LDSCRIPT_PATH="buildroot/share/PlatformIO/ldscripts/STM32F103VE_longer.ld")
9
 
9
 
10
 # Rename ${PROGNAME}.bin and save it as 'project.bin' (No encryption on the Longer3D)
10
 # Rename ${PROGNAME}.bin and save it as 'project.bin' (No encryption on the Longer3D)
11
 def encrypt(source, target, env):
11
 def encrypt(source, target, env):

+ 2
- 2
buildroot/share/git/mftest View File

28
     m128) TESTENV='megaatmega1280' ;;
28
     m128) TESTENV='megaatmega1280' ;;
29
     m256) TESTENV='megaatmega2560' ;;
29
     m256) TESTENV='megaatmega2560' ;;
30
     mega) TESTENV='megaatmega2560' ;;
30
     mega) TESTENV='megaatmega2560' ;;
31
-     stm) TESTENV='STM32F103R' ;;
32
-     f1)  TESTENV='STM32F103R' ;;
31
+     stm) TESTENV='STM32F103RE' ;;
32
+     f1)  TESTENV='STM32F103RE' ;;
33
      f4)  TESTENV='STM32F4' ;;
33
      f4)  TESTENV='STM32F4' ;;
34
      f7)  TESTENV='STM32F7' ;;
34
      f7)  TESTENV='STM32F7' ;;
35
   teensy) TESTENV='teensy31' ;;
35
   teensy) TESTENV='teensy31' ;;

buildroot/share/tests/malyanm200-tests → buildroot/share/tests/STM32F103CB_malyan-tests View File

1
 #!/usr/bin/env bash
1
 #!/usr/bin/env bash
2
 #
2
 #
3
-# Build tests for STM32F1 malyanM200
3
+# Build tests for STM32F103CB Malyan M200
4
 #
4
 #
5
 
5
 
6
 # exit on first failure
6
 # exit on first failure

buildroot/share/tests/STM32F103R_bigtree-tests → buildroot/share/tests/STM32F103RC_bigtree-tests View File

1
 #!/usr/bin/env bash
1
 #!/usr/bin/env bash
2
 #
2
 #
3
-# Build tests for STM32F1 Bigtreetech (SKR Mini v1.1)
3
+# Build tests for STM32F103RC Bigtreetech (SKR Mini v1.1)
4
 #
4
 #
5
 
5
 
6
 # exit on first failure
6
 # exit on first failure

+ 19
- 0
buildroot/share/tests/STM32F103RC_bigtree_USB-tests View File

1
+#!/usr/bin/env bash
2
+#
3
+# Build tests for STM32F103RC Bigtreetech (SKR Mini v1.1)
4
+#
5
+
6
+# exit on first failure
7
+set -e
8
+
9
+#
10
+# Build with the default configurations
11
+#
12
+restore_configs
13
+opt_set MOTHERBOARD BOARD_BIGTREE_SKR_MINI_V1_1
14
+opt_set SERIAL_PORT 1
15
+opt_set SERIAL_PORT_2 -1
16
+exec_test $1 $2 "Bigtreetech SKR Mini v1.1 - Basic Configuration"
17
+
18
+# clean up
19
+restore_configs

buildroot/share/tests/STM32F103R_fysetc-tests → buildroot/share/tests/STM32F103RC_fysetc-tests View File

1
 #!/usr/bin/env bash
1
 #!/usr/bin/env bash
2
 #
2
 #
3
-# Build tests for STM32F1 FYSETC
3
+# Build tests for STM32F103RC FYSETC
4
 #
4
 #
5
 
5
 
6
 # exit on first failure
6
 # exit on first failure

buildroot/share/tests/STM32F103R-tests → buildroot/share/tests/STM32F103RE-tests View File

10
 # Build with the default configurations
10
 # Build with the default configurations
11
 #
11
 #
12
 restore_configs
12
 restore_configs
13
-opt_set MOTHERBOARD BOARD_STM32F103R
13
+opt_set MOTHERBOARD BOARD_STM32F103RE
14
 opt_set EXTRUDERS 2
14
 opt_set EXTRUDERS 2
15
 opt_set SERIAL_PORT -1
15
 opt_set SERIAL_PORT -1
16
 opt_enable EEPROM_SETTINGS EEPROM_CHITCHAT REPRAP_DISCOUNT_SMART_CONTROLLER SDSUPPORT \
16
 opt_enable EEPROM_SETTINGS EEPROM_CHITCHAT REPRAP_DISCOUNT_SMART_CONTROLLER SDSUPPORT \

buildroot/share/tests/STM32F103V_longer-tests → buildroot/share/tests/STM32F103VE_longer-tests View File


config/examples/STM32/STM32F103R/Configuration.h → config/examples/STM32/STM32F103RE/Configuration.h View File

129
 
129
 
130
 // Choose the name from boards.h that matches your setup
130
 // Choose the name from boards.h that matches your setup
131
 #ifndef MOTHERBOARD
131
 #ifndef MOTHERBOARD
132
-  #define MOTHERBOARD BOARD_STM32F103R
132
+  #define MOTHERBOARD BOARD_STM32F103RE
133
 #endif
133
 #endif
134
 
134
 
135
 // Name displayed in the LCD "Ready" message and Info menu
135
 // Name displayed in the LCD "Ready" message and Info menu

+ 1
- 1
config/examples/STM32/stm32f103ret6/Configuration.h View File

129
 
129
 
130
 // Choose the name from boards.h that matches your setup
130
 // Choose the name from boards.h that matches your setup
131
 #ifndef MOTHERBOARD
131
 #ifndef MOTHERBOARD
132
-  #define MOTHERBOARD BOARD_STM32F103R
132
+  #define MOTHERBOARD BOARD_STM32F103RE
133
 #endif
133
 #endif
134
 
134
 
135
 // Name displayed in the LCD "Ready" message and Info menu
135
 // Name displayed in the LCD "Ready" message and Info menu

+ 13
- 13
platformio.ini View File

253
 #
253
 #
254
 # STM32F103RE
254
 # STM32F103RE
255
 #
255
 #
256
-[env:STM32F103R]
256
+[env:STM32F103RE]
257
 platform      = ststm32
257
 platform      = ststm32
258
 framework     = arduino
258
 framework     = arduino
259
 board         = genericSTM32F103RE
259
 board         = genericSTM32F103RE
262
   -DDEBUG_LEVEL=0
262
   -DDEBUG_LEVEL=0
263
 build_unflags = -std=gnu++11
263
 build_unflags = -std=gnu++11
264
 lib_deps      = ${common.lib_deps}
264
 lib_deps      = ${common.lib_deps}
265
-lib_ignore    = U8glib-HAL, Adafruit NeoPixel, SPI
265
+lib_ignore    = Adafruit NeoPixel, SPI
266
 src_filter    = ${common.default_src_filter} +<src/HAL/HAL_STM32F1>
266
 src_filter    = ${common.default_src_filter} +<src/HAL/HAL_STM32F1>
267
 monitor_speed = 250000
267
 monitor_speed = 250000
268
 
268
 
269
 #
269
 #
270
-# STM32F103R_fysetc
270
+# STM32F103RC_fysetc
271
 #
271
 #
272
-[env:STM32F103R_fysetc]
272
+[env:STM32F103RC_fysetc]
273
 platform          = ststm32
273
 platform          = ststm32
274
 framework         = arduino
274
 framework         = arduino
275
 board             = genericSTM32F103RC
275
 board             = genericSTM32F103RC
276
 #board_build.core = maple
276
 #board_build.core = maple
277
 platform_packages = tool-stm32duino
277
 platform_packages = tool-stm32duino
278
-extra_scripts     = buildroot/share/PlatformIO/scripts/STM32F103R_fysetc.py
278
+extra_scripts     = buildroot/share/PlatformIO/scripts/STM32F103RC_fysetc.py
279
 build_flags       = !python Marlin/src/HAL/HAL_STM32F1/build_flags.py
279
 build_flags       = !python Marlin/src/HAL/HAL_STM32F1/build_flags.py
280
   ${common.build_flags} -std=gnu++14
280
   ${common.build_flags} -std=gnu++14
281
   -DDEBUG_LEVEL=0 -DHAVE_SW_SERIAL
281
   -DDEBUG_LEVEL=0 -DHAVE_SW_SERIAL
292
 #
292
 #
293
 # BigTree SKR Mini V1.1 / SKR mini E3 / SKR E3 DIP (STM32F103RCT6 ARM Cortex-M3)
293
 # BigTree SKR Mini V1.1 / SKR mini E3 / SKR E3 DIP (STM32F103RCT6 ARM Cortex-M3)
294
 #
294
 #
295
-[env:STM32F103R_bigtree]
295
+[env:STM32F103RC_bigtree]
296
 platform          = ststm32
296
 platform          = ststm32
297
 framework         = arduino
297
 framework         = arduino
298
 board             = genericSTM32F103RC
298
 board             = genericSTM32F103RC
299
 platform_packages = tool-stm32duino
299
 platform_packages = tool-stm32duino
300
-extra_scripts     = buildroot/share/PlatformIO/scripts/STM32F1_SKR_MINI.py
300
+extra_scripts     = buildroot/share/PlatformIO/scripts/STM32F103RC_SKR_MINI.py
301
 build_flags       = !python Marlin/src/HAL/HAL_STM32F1/build_flags.py
301
 build_flags       = !python Marlin/src/HAL/HAL_STM32F1/build_flags.py
302
   ${common.build_flags} -DDEBUG_LEVEL=0 -std=gnu++14
302
   ${common.build_flags} -DDEBUG_LEVEL=0 -std=gnu++14
303
 build_unflags     = -std=gnu++11
303
 build_unflags     = -std=gnu++11
308
 upload_protocol   = stlink
308
 upload_protocol   = stlink
309
 debug_tool        = stlink
309
 debug_tool        = stlink
310
 
310
 
311
-[env:STM32F103R_bigtree_USB]
311
+[env:STM32F103RC_bigtree_USB]
312
 platform          = ststm32
312
 platform          = ststm32
313
 framework         = arduino
313
 framework         = arduino
314
 board             = genericSTM32F103RC
314
 board             = genericSTM32F103RC
315
 platform_packages = tool-stm32duino
315
 platform_packages = tool-stm32duino
316
-extra_scripts     = buildroot/share/PlatformIO/scripts/STM32F1_SKR_MINI.py
316
+extra_scripts     = buildroot/share/PlatformIO/scripts/STM32F103RC_SKR_MINI.py
317
 build_flags       = !python Marlin/src/HAL/HAL_STM32F1/build_flags.py
317
 build_flags       = !python Marlin/src/HAL/HAL_STM32F1/build_flags.py
318
   ${common.build_flags} -DDEBUG_LEVEL=0 -DUSE_USB_COMPOSITE -std=gnu++14
318
   ${common.build_flags} -DDEBUG_LEVEL=0 -DUSE_USB_COMPOSITE -std=gnu++14
319
 build_unflags     = -std=gnu++11
319
 build_unflags     = -std=gnu++11
366
 #
366
 #
367
 # Longer 3D board in Alfawise U20 (STM32F103VET6)
367
 # Longer 3D board in Alfawise U20 (STM32F103VET6)
368
 #
368
 #
369
-[env:STM32F103V_longer]
369
+[env:STM32F103VE_longer]
370
 platform      = ststm32
370
 platform      = ststm32
371
 framework     = arduino
371
 framework     = arduino
372
 board         = genericSTM32F103VE
372
 board         = genericSTM32F103VE
373
 monitor_speed = 250000
373
 monitor_speed = 250000
374
-extra_scripts = buildroot/share/PlatformIO/scripts/longer_STM32.py
374
+extra_scripts = buildroot/share/PlatformIO/scripts/STM32F103VE_longer.py
375
 build_flags   = !python Marlin/src/HAL/HAL_STM32F1/build_flags.py
375
 build_flags   = !python Marlin/src/HAL/HAL_STM32F1/build_flags.py
376
   ${common.build_flags} -std=gnu++14 -USERIAL_USB
376
   ${common.build_flags} -std=gnu++14 -USERIAL_USB
377
   -DSTM32F1xx -DU20 -DTS_V12
377
   -DSTM32F1xx -DU20 -DTS_V12
543
 monitor_speed = 250000
543
 monitor_speed = 250000
544
 
544
 
545
 #
545
 #
546
-# Malyan M200 (STM32F1)
546
+# Malyan M200 (STM32F103CB)
547
 #
547
 #
548
-[env:malyanm200]
548
+[env:STM32F103CB_malyan]
549
 platform    = ststm32
549
 platform    = ststm32
550
 framework   = arduino
550
 framework   = arduino
551
 board       = malyanM200
551
 board       = malyanM200

Loading…
Cancel
Save